<%@ Page Title="" Language="C#" MasterPageFile="~/ActiveReportsSite1.Master" AutoEventWireup="true" CodeBehind="WebForm2.aspx.cs" Inherits="WebViewer的工具栏添加和隐藏.WebForm2" %>

<%@ Register Assembly="GrapeCity.ActiveReports.Web.v12, Version=12.1.12841.2, Culture=neutral, PublicKeyToken=cc4967777c49a3ff" Namespace="GrapeCity.ActiveReports.Web" TagPrefix="ActiveReportsWeb" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeaderContainer" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContainer" runat="server">
<script language="javascript" type="text/javascript" src="https://code.jquery.com/jquery-2.2.4.min.js"></script>
   <script type="text/javascript">
        $(document).ready(function () {
            var toolbar = $('#MainContainer_WebViewer1').find('.arvToolBar');  //WV_Delivery为WebViewer的ID
            toolbar.find('.btnToggleSidebar').remove();
            toolbar.find('.btnFirst').remove();   //隐藏第一页按钮
            toolbar.find('.btnPrev').remove();  //隐藏上页按钮
            toolbar.find('.btnNext').remove();
            toolbar.find('.toolbarLabel').remove();
            toolbar.find('.toolbarInput').remove();
            toolbar.find('.btnLast').remove();           
            //toolbar.find('.btnBack').remove();
            toolbar.find('.btnGalley').remove();        
            $("div.viewer-layout-toolbar-panel").css("border", "0px");
            $("div.viewer-layout-main-panel").css("border", "0px");
            $("div.viewer-layout-siderbar-panel").css("border", "0px");
       })
</script>
<body>   
        <div>
            <ActiveReportsWeb:WebViewer ID="WebViewer1" runat="server" Height="800" Width="100%"></ActiveReportsWeb:WebViewer>
        </div>   
</body>
</asp:Content>
